<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::PatchMeshPtr Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1PatchMeshPtr.html">Ogre::PatchMeshPtr</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#1b5e6d7a4cc4f7b96e9aa56ccdc982aa">bind</a>(T *rep)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#faba3332d99634ccbacef674fc46b773">destroy</a>(void)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#2c3ed4a7b5574c4e53adec450fd537b0">get</a>() const </td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#15e055008751a7c20bdde38662d5f0a1">getPointer</a>() const </td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#8a223db784efd7aa766792649de2f2a0">isNull</a>(void) const </td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#8ea458552899a134e19e8fe69e03453a">operator *</a>() const </td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#756cec152c2db605fe7424da7f8e879b">operator-&gt;</a>() const </td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchMeshPtr.html#b2d38660f8e91b4f196cb8a2b8204674">operator=</a>(const ResourcePtr &amp;r)</td><td><a class="el" href="classOgre_1_1PatchMeshPtr.html">Ogre::PatchMeshPtr</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchMeshPtr.html#aa4b9228f5a8d40e3ad5e3d6e180fc70">operator=</a>(const MeshPtr &amp;r)</td><td><a class="el" href="classOgre_1_1PatchMeshPtr.html">Ogre::PatchMeshPtr</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#1ce00b90526a205ae31268a88bc9ed35">Ogre::SharedPtr::operator=</a>(const SharedPtr &amp;r)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#fa22d1337c2afbd03d76b718e7b57d03">Ogre::SharedPtr::operator=</a>(const SharedPtr&lt; Y &gt; &amp;r)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchMeshPtr.html#805f0baacd697d7f4af951ab7615e879">PatchMeshPtr</a>()</td><td><a class="el" href="classOgre_1_1PatchMeshPtr.html">Ogre::PatchMeshPtr</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchMeshPtr.html#3b401a583d037029570092cbf650faa4">PatchMeshPtr</a>(PatchMesh *rep)</td><td><a class="el" href="classOgre_1_1PatchMeshPtr.html">Ogre::PatchMeshPtr</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchMeshPtr.html#b0b41997a5ceba9683af4f4b09ff1fec">PatchMeshPtr</a>(const PatchMeshPtr &amp;r)</td><td><a class="el" href="classOgre_1_1PatchMeshPtr.html">Ogre::PatchMeshPtr</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchMeshPtr.html#3bcd3bc266dd11c597e27fe74f5b908c">PatchMeshPtr</a>(const ResourcePtr &amp;r)</td><td><a class="el" href="classOgre_1_1PatchMeshPtr.html">Ogre::PatchMeshPtr</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#8a5094cabd90223647525fe162e94e57">pRep</a></td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#52f9915e259723090662cca7c3c51d52">pUseCount</a></td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#a9225d4dac90501b6a5f0b2b49ea2eed">release</a>(void)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#e23c79e49621afdb17fc32f30519859f">setNull</a>(void)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#e46c7b984c057d18d8bd169cf2a60fad">SharedPtr</a>()</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#1217e645242e7b8ce87272239dab0b7f">SharedPtr</a>(Y *rep)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#b1fae2b13ec9cb470b4616c56cb599d8">SharedPtr</a>(const SharedPtr &amp;r)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#bebfecb1cfe727152e158bc73df81b97">SharedPtr</a>(const SharedPtr&lt; Y &gt; &amp;r)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#f07cad7e719e517472410d87f4e974ea">swap</a>(SharedPtr&lt; T &gt; &amp;other)</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#cd2b97578b72dd4abc33471a93ca4b91">unique</a>() const </td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#29e90ed7b4339cce1cc7e6be919e78bb">useCount</a>() const </td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a>() const </td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SharedPtr.html#3677e6904cd453e75b9b352ffe32f99d">~SharedPtr</a>()</td><td><a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr&lt; T &gt;</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:45 2008
</p>
</body>
</html>
